---

- name: Install required packages for backup
  pip:
    name:
      - boto3
      - botocore
  tags:
    - dependencies
    - backup

- name: Backup status
  debug:
    msg: Backup task are skipped because s3 credentials aren't provided
  when: s3 is not defined
  tags: backup

- name: Backup each service
  include_tasks: backup.yml
  with_dict: "{{ services }}"
  when: s3 is defined
  no_log: True
  tags:
    - backup
